gnutls_session_ticket_send(3)

NAME
gnutls_session_ticket_send - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_session_ticket_send(gnutls_session_t session, unsigned nr, unsigned flags);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

unsigned nr
    the number of tickets to send

unsigned flags
    must be zero

DESCRIPTION
Sends a fresh session ticket to the peer. This is relevant only in server side under TLS1.3. This function may also return GNUTLS_E_AGAIN or GNUTLS_E_INTERRUPTED and in that case it must be called again.

RETURNS
GNUTLS_E_SUCCESS on success, or a negative error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/